USB_STRING_ID(9)

NAME
usb_string_id - allocate an unused string ID

SYNOPSIS

int usb_string_id(struct usb_composite_dev * cdev);

ARGUMENTS

cdev
    the device whose string descriptor IDs are being allocated

CONTEXT

single threaded during gadget setup

DESCRIPTION

usb_string_id() is called from bind callbacks to allocate string IDs. Drivers for functions, configurations, or gadgets will then store that ID in the appropriate descriptors and string table.

All string identifier should be allocated using this, usb_string_ids_tab() or usb_string_ids_n() routine, to ensure that for example different functions don't wrongly assign different meanings to the same identifier.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT